AC_INIT(interface.c)
AC_PREFIX_DEFAULT(/usr/local/v6)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL

INSTALL_LIBRARY="\${INSTALL_DATA}"
AC_SUBST(INSTALL_LIBRARY)
INSTALL_DIR="\${INSTALL} -d"
AC_SUBST(INSTALL_DIR)

dnl Internationalization
dnl --------------------
AC_ARG_WITH(i18n,
[  --without-i18n          without internationalized gettext],
[],[    withval=yes		])
if test x"$withval" != x"no"; then
	AC_DEFINE(I18N)
fi

CFLAGS="-I../libnet-tools -I../libinet6/include $CFLAGS"
LIBS="-L../libinet6 -linet6 $LIBS"

AC_OUTPUT(Makefile)
